Package org.linphone.core

# Enum Class XmlRpcArgType

java.lang.Object
java.lang.Enum<XmlRpcArgType>
org.linphone.core.XmlRpcArgType

All Implemented Interfaces:
  `Serializable`, `Comparable<XmlRpcArgType>`, `Constable`

public enum XmlRpcArgType extends Enum<XmlRpcArgType>
Enum describing the types of argument for LinphoneXmlRpcRequest.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Int`
`None`
`String`
`StringStruct`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static XmlRpcArgType`
`fromInt(int value)`
`protected static XmlRpcArgType[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(XmlRpcArgType[] values)`
`static XmlRpcArgType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XmlRpcArgType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final XmlRpcArgType None

### Int

public static final XmlRpcArgType Int

### String

public static final XmlRpcArgType String

### StringStruct

public static final XmlRpcArgType StringStruct

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static XmlRpcArgType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XmlRpcArgType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static XmlRpcArgType fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static XmlRpcArgType[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(XmlRpcArgType[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()